Bug 1252830 - [One-off patch] Unable to find gatein-dep in Maven repo
[One-off patch] Unable to find gatein-dep in Maven repo
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: One-off release
Assigned To: hfnukal@redhat.com
Tomas Kyjovsky
:
Depends On: 1256388
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 06:03 EDT by Takayuki Konishi
Modified: 2015-08-25 11:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: 1252830 PRODUCT NAME: JBoss Enterprise Portal Platform VERSION: 6.2.0 SHORT DESCRIPTION: Missing artifacts in JPP 6.2.0 Maven repository LONG DESCRIPTION: With certain dependencies provided by JPP 6.2.0 added to a custom maven project, the build fails due to unresolved dependencies: org.gatein:gatein-dep:pom:1.4.0.Final-redhat-1 does not exists in the Red Hat public maven repo, nor in the JPP 6.2.0 maven repo. MANUAL INSTALL INSTRUCTIONS: Copy content of maven-repository to your local maven repository. No need to overwrite files if your repo already contains it. Is also possible to extract repo to separate folder and add to your maven settings.xml: ------------------------------ <settings xmlns="http://maven.apache.org/SETTINGS/1.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd"> <profiles> <profile> <id>rh-hosted-repo</id> <repositories> <repository> <id>local-repository</id> <name>JBoss Local Repository</name> <url>file:///path/to/maven-repository</url> <layout>default</layout> <releases> <enabled>true</enabled> <updatePolicy>never</updatePolicy> </releases> <snapshots> <enabled>false</enabled> <updatePolicy>never</updatePolicy> </snapshots> </repository> </repositories> </profile> </profiles> <activeProfiles> <!-- Make the repository active by default --> <activeProfile>rh-hosted-repo</activeProfile> </activeProfiles> </settings> ------------------------------ Note: ==== Due to a wrong transient dependency in one of the artifacts from the JPP 6 repository, as recorded in https://bugzilla.redhat.com/show_bug.cgi?id=1256388, the build might fail due to the missing org.jboss.security:jbossxacml:jar:2.0.8.Final binary. To address this, add the following lines specifying dependency version into your project's pom.xml: ------------------------------ <dependencyManagement> <dependencies> <dependency> <groupId>org.jboss.security</groupId> <artifactId>jbossxacml</artifactId> <version>2.0.8.Final-redhat-1</version> </dependency> </dependencies> </dependencyManagement> ------------------------------ CREATOR: Honza Fnukal, Martin Weiler DATE: 2015-08-24
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-25 11:29:14 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Additional repo files (164.54 KB, application/zip)
2015-08-20 10:58 EDT, hfnukal@redhat.com
no flags Details
test project to build using maven repo (9.87 KB, application/zip)
2015-08-24 09:05 EDT, Filip Kiss
no flags Details
Patch binaries (with updated README.txt) (165.15 KB, application/zip)
2015-08-24 11:17 EDT, Martin Weiler
no flags Details

  None (edit)
Description Takayuki Konishi 2015-08-12 06:03:41 EDT
Description of problem:
When I add this dependency [1] to my maven project, failed to build the project.

[1]
    <dependency>
      <groupId>org.exoplatform.core</groupId>
      <artifactId>exo.core.component.security.core</artifactId>
      <version>2.5.11-GA-redhat-1</version>
    </dependency>

[2]
[ERROR] Failed to execute goal on project security-api: Could not resolve depend
encies for project com.example.security:security-api:jar:8-0.1-SNAPSHOT: Failed to collect dependencies at org.exoplatform.core:exo.core.component.sec
urity.core:jar:2.5.11-GA-redhat-1 -> org.exoplatform.kernel:exo.kernel.component
.common:jar:2.4.11-GA-redhat-1 -> org.exoplatform.kernel:exo.kernel.container:ja
r:2.4.11-GA-redhat-1 -> org.gatein.wci:wci-wci:jar:2.4.2.Final-redhat-1: Failed
to read artifact descriptor for org.gatein.wci:wci-wci:jar:2.4.2.Final-redhat-1:
 Could not find artifact org.gatein:gatein-dep:pom:1.4.0.Final-redhat-1 in centr
al (http://172.30.2.18:8081/artifactory/libs-release) -> [Help 1]


How reproducible: 100 %


Steps to Reproduce:
1. create a maven project
2. add this dependency [1]
3. refer to redhat maven repo or jpp 6.2 local maven repo

- http://maven.repository.redhat.com/techpreview/all/
- https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=38183&product=jbportal&version=6.2.0&downloadType=distributions

4. $mvn build

Actual results:
got the error [2]

Expected results:
built successful

Additional info:

org.gatein:gatein-dep:pom:1.4.0.Final-redhat-1 does not exists in our public maven repo [1] or the downloadable repo [2].
Comment 3 hfnukal@redhat.com 2015-08-20 10:58:12 EDT
Created attachment 1065294 [details]
Additional repo files

Copy content of maven-repository to your local maven repository.
No need to overwrite files if your repo already contains it.

Is also possible to extract repo to separate folder and add to your maven settings.xml:

<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
  <profiles>
    <profile>
      <id>rh-hosted-repo</id>
      <repositories>
            <repository>
              <id>local-repository</id>
              <name>JBoss Local Repository</name>
<url>file:///path/to/maven-repository</url>
              <layout>default</layout>
              <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
              </releases>
              <snapshots>
                <enabled>false</enabled>
                <updatePolicy>never</updatePolicy>
              </snapshots>
            </repository>
      </repositories>
    </profile>
  </profiles>

  <activeProfiles>
    <!-- Make the repository active by default -->
    <activeProfile>rh-hosted-repo</activeProfile>
  </activeProfiles>

</settings>
Comment 4 Filip Kiss 2015-08-24 09:03:50 EDT
After adding additional repository files from this patch, this issue has been fixed, however there is another dependency error when building test project. I have created new BZ 1256388 to track this new issue.
Comment 5 Filip Kiss 2015-08-24 09:05:01 EDT
Created attachment 1066367 [details]
test project to build using maven repo
Comment 6 Martin Weiler 2015-08-24 11:17:26 EDT
Created attachment 1066478 [details]
Patch binaries (with updated README.txt)

$ md5sum jboss-portal-6.2.0-maven-patch.zip 
c3e3021dee0d406294019b4c574d5542  jboss-portal-6.2.0-maven-patch.zip

Note You need to log in before you can comment on or make changes to this bug.